APF-Tracker

Adventure PHP Framework Issue Management


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000316Adventure PHP FrameworkCode-Verbesserung // Code improvementpublic2017-07-23 16:042017-08-19 20:19
Reporterthalo1 
Assigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version3.3 
Target Version3.4Fixed in Version3.4 
Summary0000316: Improve compatibility with PHP7
DescriptionError handling has changed from PHP5 to PHP7.

http://php.net/manual/de/language.errors.php7.php [^]
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacenone
Attached Files

- Relationships

-  Notes
(0000778)
ChristianAchatz (administrator)
2017-08-14 14:25

Changed exception handler signature from expected type "Exception" to "Throwable" to allow catching both errors and exceptions.
(0000779)
ChristianAchatz (administrator)
2017-08-14 14:36

See changes under https://github.com/AdventurePHP/code/commit/27105ae30b1c273818419d966e185b62856fdcfc. [^]

See documentation changes under https://github.com/AdventurePHP/docs/commit/b82b2baad3f83d14d55def51a3f535ecd4959b8d. [^]
(0000781)
thalo1 (reporter)
2017-08-16 01:09

Throwable does not work in < PHP7 see http://php.net/manual/en/class.throwable.php [^]
(0000782)
ChristianAchatz (administrator)
2017-08-19 20:19

Adapted implementation to be PHP version agnostic (removed Throwable in method declaration). Kindly test new implementation and provide feedback.

- Issue History
Date Modified Username Field Change
2017-07-23 16:04 thalo1 New Issue
2017-07-24 22:24 ChristianAchatz Assigned To => ChristianAchatz
2017-07-24 22:24 ChristianAchatz Status new => assigned
2017-08-14 14:25 ChristianAchatz Note Added: 0000778
2017-08-14 14:36 ChristianAchatz Note Added: 0000779
2017-08-14 14:42 ChristianAchatz Status assigned => resolved
2017-08-14 14:42 ChristianAchatz Fixed in Version => 3.4
2017-08-14 14:42 ChristianAchatz Resolution open => fixed
2017-08-14 14:42 ChristianAchatz Product Version => 3.3
2017-08-14 14:42 ChristianAchatz Target Version => 3.4
2017-08-16 01:09 thalo1 Note Added: 0000781
2017-08-16 01:09 thalo1 Status resolved => feedback
2017-08-16 01:09 thalo1 Resolution fixed => reopened
2017-08-19 20:19 ChristianAchatz Note Added: 0000782
2017-08-19 20:19 ChristianAchatz Status feedback => resolved
2017-08-19 20:19 ChristianAchatz Resolution reopened => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker